<?PHP
/**
* @class 출석부 모듈의 attendanceAdminView 클래스
* @author 매실茶 (pppljh@gmail.com)
* @관리자페이지의 출력 담당
*
* 관리자페이지에 표시할 내용과 사용변수에 대한 정의/전달
**/

class attendanceAdminView extends attendance{

	function init(){
	}
	
	    //출석부 출력
    function dispAdminAttendanceList() {
		/*attendance model 객체 생성*/
		$oAttendanceModel = &getModel('attendance');
		Context::set('Model',$oAttendanceModel);

		$selected_date = Context::get('selected_date');		//선택한 날짜 받아오기

        $type=Context::get('type');
        if(!$type) $type='config';

		/*attendance admin model 객체 생성*/
        $oAttendanceAdminModel = &getAdminModel('attendance');
		Context::set('oAttendanceAdminModel',$oAttendanceAdminModel);
        if($type!='config' && $type!='time'){
		    $user_data = $oAttendanceAdminModel->getAttendanceMemberList(20,$type);
    		Context::set('user_data',$user_data);
        }

		// 멤버모델 객체 생성
		$oMemberModel = &getModel('member');
		$group_list = $oMemberModel->getGroups();
		Context::set('group_list',$group_list);

		/*날짜 관련*/
		if(!$selected_date) {
			$selected_date = zDate(date('YmdHis'),"Ymd");
		}
        $year = substr($selected_date, 0, 4);
        $month = substr($selected_date, 4, 2);
		$day = substr($selected_date,6,2);
        $end_day = date('t', mktime(0,0,0,$month,1,$year));
        
        $oMemberModel = &getModel('member');

		Context::set('end_day',$end_day);
		Context::set('year',$year);
		Context::set('selected',$selected_date);
		Context::set('month',$month);
		Context::set('day',$day);
        Context::set('ipaddress',$_SERVER['REMOTE_ADDR']);
        Context::set('oMemberModel',$oMemberModel);

		/*2009.04.01 설정값 꺼내오기*/
		$output = executeQuery('attendance.getConfigData');
        Context::set('config_data',$output->data);

        //module의 설정값 가져오기
        $oModuleModel = &getModel('module');
        $config = $oModuleModel->getModuleConfig('attendance');
   		Context::set('config2',$config);

        $start_time->hour = substr($output->data->start_time,0,2);
        $start_time->min = substr($output->data->start_time,2,2);
        $end_time->hour = substr($output->data->end_time,0,2);
        $end_time->min = substr($output->data->end_time,2,2);
		Context::set('start_time',$start_time);
		Context::set('end_time',$end_time);

		/*템플릿 설정*/
		$this->setTemplatePath($this->module_path.'tpl');
		$this->setTemplateFile('index');
	}

}
?>
